Package org.eclipse.rdf4j.sail.nativerdf

## Class LimitedSizeNativeStore

- java.lang.Object
- - org.eclipse.rdf4j.sail.helpers.AbstractSail
  - - org.eclipse.rdf4j.sail.helpers.AbstractNotifyingSail
    - - org.eclipse.rdf4j.sail.nativerdf.NativeStore
      - - org.eclipse.rdf4j.sail.nativerdf.LimitedSizeNativeStore

- All Implemented Interfaces:
    `FederatedServiceResolverClient`, `NotifyingSail`, `Sail`

      public class LimitedSizeNativeStore
      extends NativeStore

  Author:
    Jerven Bolleman, SIB Swiss Institute of Bioinformatics

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.sail.helpers.AbstractSail

      `connectionTimeOut, DEFAULT_CONNECTION_TIMEOUT, DEFAULT_ITERATION_SYNC_THRESHOLD, initializationLock`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LimitedSizeNativeStore()` |
    `LimitedSizeNativeStore​(File dataDir)` |
    `LimitedSizeNativeStore​(File dataDir, String string)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected NotifyingSailConnection` | `getConnectionInternal()` | Returns a store-specific SailConnection object.

    - ### Methods inherited from class org.eclipse.rdf4j.sail.nativerdf.NativeStore

      `getEvaluationStrategyFactory, getFederatedServiceResolver, getForceSync, getTransactionLock, getTripleIndexes, getValueFactory, initializeInternal, isWritable, setDataDir, setEvaluationStrategyFactory, setFederatedServiceResolver, setForceSync, setNamespaceCacheSize, setNamespaceIDCacheSize, setTripleIndexes, setValueCacheSize, setValueIDCacheSize, shutDown, shutDownInternal`

    - ### Methods inherited from class org.eclipse.rdf4j.sail.helpers.AbstractNotifyingSail

      `addSailChangedListener, getConnection, notifySailChanged, removeSailChangedListener`

    - ### Methods inherited from class org.eclipse.rdf4j.sail.helpers.AbstractSail

      `addSupportedIsolationLevel, connectionClosed, debugEnabled, getDataDir, getDefaultIsolationLevel, getIterationCacheSyncThreshold, getSupportedIsolationLevels, init, isInitialized, isTrackResultSize, removeSupportedIsolationLevel, setConnectionTimeOut, setDefaultIsolationLevel, setIterationCacheSyncThreshold, setSupportedIsolationLevels, setSupportedIsolationLevels, setTrackResultSize, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.sail.Sail

      `getDataDir, getDefaultIsolationLevel, getSupportedIsolationLevels, init`

- - ### Constructor Detail

    - #### LimitedSizeNativeStore

          public LimitedSizeNativeStore​(File dataDir,
                                        String string)

      Parameters:
        `dataDir` -
        `string` -

    - #### LimitedSizeNativeStore

          public LimitedSizeNativeStore()

    - #### LimitedSizeNativeStore

          public LimitedSizeNativeStore​(File dataDir)

  - ### Method Detail

    - #### getConnectionInternal

          protected NotifyingSailConnection getConnectionInternal()
                                                           throws SailException

      Description copied from class: `AbstractSail`
      Returns a store-specific SailConnection object.
      Overrides:
        `getConnectionInternal` in class `NativeStore`
      Returns:
        A connection to the store.
      Throws:
        `SailException`